import 'package:flutter/material.dart';

class PlaceholderView extends StatelessWidget {
  final IconData icon;
  final String text;
  final Widget? button;
  const PlaceholderView({super.key, required this.icon, required this.text, this.button});

  @override
  Widget build(BuildContext context) => DefaultTextStyle(
      style: const TextStyle(),
      child: Center(
        child: Container(
          margin: const EdgeInsets.only(top: 100, left: 20, right: 20),
          child: Column(
            children: [
              Container(
                margin: const EdgeInsets.all(30),
                child: Icon(icon, color: Colors.grey, size: 60),
              ),
              Text(text,
                style: const TextStyle(
                  fontSize: 20,
                  color: Colors.grey,
                ),
                textAlign: TextAlign.center,
              ),
              const SizedBox(height: 30),
              if(button != null) button!,
            ],
          ),
        ),
      ),
    );
}
